#!/bin/bash
#
# Copyright (C) 2019 OX Software GmbH
# 
# This file is part of OX Automation.
#
# OX Automation is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OX Automation is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OX Automation. If not, see <http://www.gnu.org/licenses/>.
#
#
# Authors:
# Benedikt Kroening <benedikt.kroening@open-xchange.com>
#
set -e
SCRIPT_DIR="$( cd "$(dirname "$0")" ; pwd -P)"
source ${SCRIPT_DIR}/../../lib/common.bash
detectDistribution

if [[ "${INSTALL_TYPE}" == *"singlenode"* ]]; then
  echo "Configuring everything for singlenode use with frontend balancers"
  echo "========="
  sleep 3

  # one last singlenode restart before qa init will start 
  restartService open-xchange

  ${SCRIPT_DIR}/../frontend/add-balancer.sh \
    --name "oxcluster" \
    --balancer "http://localhost:8009" \
    --route "$(hostname -s)" \
    --priority 20

  ${SCRIPT_DIR}/../frontend/add-balancer.sh \
      --name "oxcluster_ws" \
      --balancer "ws://localhost:8009" \
      --route "$(hostname -s)" \
      --priority 20


  restartService ${HTTPD}
fi